org.wso2.carbon.dataservices.ui.beans

## Class WithParam

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.WithParam

-     public class WithParam
      extends DataServiceConfigurationElement

  Represents element in the configuration file

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithParam()`
    `WithParam(String name, String paramType, String paramValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getName()`
    `String` | `getParamType()`
    `String` | `getParamValue()`
    `void` | `setName(String name)`
    `void` | `setParamType(String paramType)`
    `void` | `setParamValue(String paramValue)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WithParam

          public WithParam()

    - #### WithParam

          public WithParam(String name,
                           String paramType,
                           String paramValue)

  - ### Method Detail

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getParamType

          public String getParamType()

    - #### setParamType

          public void setParamType(String paramType)

    - #### getParamValue

          public String getParamValue()

    - #### setParamValue

          public void setParamValue(String paramValue)

Copyright © 2018 WSO2. All rights reserved.